diff --git a/dlls/mfmediaengine/main.c b/dlls/mfmediaengine/main.c
index a191448b6..98504c5e2 100644
--- a/dlls/mfmediaengine/main.c
+++ b/dlls/mfmediaengine/main.c
@@ -3123,7 +2504,7 @@ static HRESULT WINAPI media_engine_factory_CreateInstance(IMFMediaEngineClassFac
     struct media_engine *object;
     HRESULT hr;
 
-    TRACE("%p, %#lx, %p, %p.\n", iface, flags, attributes, engine);
+    TRACE("%p, %#x, %p, %p.\n", iface, flags, attributes, engine);
 
     if (!attributes || !engine)
         return E_POINTER;
@@ -3139,7 +2520,7 @@ static HRESULT WINAPI media_engine_factory_CreateInstance(IMFMediaEngineClassFac
         return hr;
     }
 
-    *engine = (IMFMediaEngine *)&object->IMFMediaEngineEx_iface;
+    *engine = &object->IMFMediaEngine_iface;
 
     return S_OK;
 }
